# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Wed May 26 15:22:00 2021
# ------------------------------------------------

package:
  name: r-distcomp
  version: '1.3_1'
source:
  sha256: d44563c858a4493004318810bb54059ce5563e290c5783198a2ce89401f5731b
  url:
    - https://cran.r-project.org/src/contrib/Archive/distcomp/distcomp_1.3-1.tar.gz
    - https://cran.r-project.org/src/contrib/distcomp_1.3-1.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r41h6d2157b_0
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - ca-certificates 2020.12.5 h5b45459_0
    - intel-openmp 2021.2.0 h57928b3_616
    - libblas 3.9.0 9_mkl
    - liblapack 3.9.0 9_mkl
    - libsodium 1.0.18 h8d14728_1
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-icu 58.2 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2021.2.0 hb70f87d_389
    - msys2-conda-epoch 20160418 1
    - openssl 1.1.1k h8ffe710_0
    - r-askpass 1.1 r41h6d2157b_2
    - r-assertthat 0.2.1 r41hc72bb7e_2
    - r-base 4.1.0 hddad469_1
    - r-base64enc 0.1_3 r41h6d2157b_1004
    - r-bslib 0.2.5.1 r41hc72bb7e_0
    - r-cachem 1.0.5 r41h6d2157b_0
    - r-cli 2.5.0 r41hc72bb7e_0
    - r-commonmark 1.7 r41h6d2157b_1002
    - r-crayon 1.4.1 r41hc72bb7e_0
    - r-curl 4.3.1 r41h6d2157b_0
    - r-digest 0.6.27 r41ha856d6a_0
    - r-dplyr 1.0.6 r41ha856d6a_1
    - r-ellipsis 0.3.2 r41h6d2157b_0
    - r-fansi 0.5.0 r41h6d2157b_0
    - r-fastmap 1.1.0 r41ha856d6a_0
    - r-fs 1.5.0 r41ha856d6a_0
    - r-generics 0.1.0 r41hc72bb7e_0
    - r-glue 1.4.2 r41h6d2157b_0
    - r-gmp 0.6_2 r41ha856d6a_0
    - r-homomorpher 0.2_2 r41hc72bb7e_0
    - r-htmltools 0.5.1.1 r41ha856d6a_0
    - r-httpuv 1.6.1 r41ha856d6a_0
    - r-httr 1.4.2 r41hc72bb7e_0
    - r-jquerylib 0.1.4 r41hc72bb7e_0
    - r-jsonlite 1.7.2 r41h6d2157b_0
    - r-later 1.2.0 r41ha856d6a_0
    - r-lattice 0.20_44 r41h6d2157b_0
    - r-lifecycle 1.0.0 r41hc72bb7e_0
    - r-magrittr 2.0.1 r41h6d2157b_1
    - r-matrix 1.3_3 r41hd2e18ed_0
    - r-mime 0.10 r41h6d2157b_0
    - r-openssl 1.4.4 r41hc08181c_0
    - r-pillar 1.6.1 r41hc72bb7e_0
    - r-pkgconfig 2.0.3 r41hc72bb7e_1
    - r-promises 1.2.0.1 r41ha856d6a_0
    - r-purrr 0.3.4 r41h6d2157b_1
    - r-r6 2.5.0 r41hc72bb7e_0
    - r-rappdirs 0.3.3 r41h6d2157b_0
    - r-rcpp 1.0.6 r41ha856d6a_0
    - r-rlang 0.4.11 r41h6d2157b_0
    - r-sass 0.4.0 r41ha856d6a_0
    - r-shiny 1.6.0 r41hc72bb7e_0
    - r-sodium 1.1 r41h6d2157b_1002
    - r-sourcetools 0.1.7 r41hfa435f1_1002
    - r-stringi 1.6.2 r41ha856d6a_0
    - r-stringr 1.4.0 r41hc72bb7e_2
    - r-survival 3.2_11 r41h6d2157b_0
    - r-sys 3.4 r41h6d2157b_0
    - r-tibble 3.1.2 r41h6d2157b_0
    - r-tidyselect 1.1.1 r41h6addd8b_0
    - r-utf8 1.2.1 r41h6d2157b_0
    - r-vctrs 0.3.8 r41h6d2157b_1
    - r-withr 2.4.2 r41hc72bb7e_0
    - r-xtable 1.8_4 r41hc72bb7e_3
    - tbb 2021.2.0 h2d74725_0
    - vc 14.2 hb210afc_4
    - vs2015_runtime 14.28.29325 h5e1d092_4
  run:
    - m2w64-gcc-libs
    - r-base >=4.1,<4.2.0a0
    - r-digest
    - r-dplyr
    - r-gmp
    - r-homomorpher
    - r-httr >=1.0.0
    - r-jsonlite
    - r-magrittr
    - r-r6 >=2.0
    - r-rlang
    - r-shiny
    - r-stringr
    - r-survival
test:
  commands:
    - '"%R%" -e "library(''distcomp'')"'
about:
  home: http://dx.doi.org/10.18637/jss.v077.i13
  license: LGPL-2.0-or-later
  license_family: LGPL
  license_file:
    - D:\bld\r-distcomp_1622042767303\_h_env/lib/R/share/licenses/LGPL-2
  summary: 'Implementing algorithms and fitting models when sites (possibly remote)
    share computation summaries rather than actual data over HTTP with a master R
    process (using ''''opencpu'''', for example). A stratified Cox model and a singular
    value decomposition are provided. The former makes direct use of code from the
    R ''''survival'''' package. (That is, the underlying Cox model code is derived
    from that in the R ''''survival'''' package.) Sites may provide data via several
    means: CSV files, Redcap API, etc. An extensible design allows for new methods
    to be added in the future and includes facilities for local prototyping and testing.
    Web applications are provided (via ''''shiny'''') for the implemented methods
    to help in designing and deploying the computations.'
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
